Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.common
Class PDMetadata

    java.lang.Object
      org.pdfbox.pdmodel.common.PDStream
          org.pdfbox.pdmodel.common.PDMetadata

All Implemented Interfaces:
  COSObjectable

public class PDMetadata
extends PDStream

This class represents metadata for various objects in a PDF document.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Constructor Summary
`PDMetadata(COSStream str)` Constructor.
`PDMetadata(PDDocument document)` This will create a new PDMetadata object.
`PDMetadata(PDDocument doc, InputStream str, boolean filtered)` Constructor.

Methods inherited from class org.pdfbox.pdmodel.common.PDStream
`addCompression, createFromCOS, createInputStream, createOutputStream, getByteArray, getCOSObject, getDecodeParams, getFile, getFileDecodeParams, getFileFilters, getFilters, getInputStreamAsString, getLength, getMetadata, getPartiallyFilteredStream, getStream, setDecodeParams, setFile, setFileDecodeParams, setFileFilters, setFilters, setMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDMetadata

    public PDMetadata(PDDocument document)

  This will create a new PDMetadata object.

Parameters:
  `document` - The document that the stream will be part of.

### PDMetadata

    public PDMetadata(PDDocument doc,
                      InputStream str,
                      boolean filtered)
               throws IOException

  Constructor. Reads all data from the input stream and embeds it into the document, this will close the InputStream.

Parameters:
  `doc` - The document that will hold the stream.
  `str` - The stream parameter.
  `filtered` - True if the stream already has a filter applied.
Throws:
  `IOException` - If there is an error creating the stream in the document.

### PDMetadata

    public PDMetadata(COSStream str)

  Constructor.

Parameters:
  `str` - The stream parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD